MINIDUMP_HEADER Struct Reference

The top-level structure identifying a minidump file. More...

`#include "dbghelp.h"`

## Public Attributes

uint32_t | Signature
| The minidump file format magic number, MINIDUMP_SIGNATURE.
uint32_t | Version
| The minidump file format version number, MINIDUMP_VERSION.
uint32_t | NumberOfStreams
| The number of MINIDUMP_DIRECTORY elements present in the directory referenced by StreamDirectoryRva.
RVA | StreamDirectoryRva
| A pointer to an array of MINIDUMP_DIRECTORY structures that identify all of the streams within this minidump file. The array has NumberOfStreams elements present.
uint32_t | CheckSum
| The minidump file’s checksum. This can be `0`, and in practice, `0` is the only value that has ever been seen in this field.
uint32_t | TimeDateStamp
| The time that the minidump file was generated, in `time_t` format, the number of seconds since the POSIX epoch.
uint64_t | Flags
| A bitfield containing members of MINIDUMP_TYPE, describing the types of data carried within this minidump file.

## Detailed Description

The top-level structure identifying a minidump file.

This structure contains a pointer to the stream directory, a second-level structure which in turn contains pointers to third-level structures (“streams”) containing the data within the minidump file. This structure also contains the minidump file’s magic numbers, and other bookkeeping data.

This structure must be present at the beginning of a minidump file (at RVA 0).

The documentation for this struct was generated from the following file:

- compat/non_win/dbghelp.h